Subject: Re: [PATCH] gnu: php: Fix build.

From: Rutherther <[email-masked]>
Date: Mon, 02 Sep 2024 16:54:42 +0000

Hello Noé,

thanks for your patch. Unfortunately, I don't think this is the
way to go. The issue here is that gd package has these in Requires.private
in the pkg-config file. That means every package that wants libgd
also has to get these inputs. Not only php. So gd has to be fixed here.
See issue #72943 where I sent a patch to make gd propagated inputs
and Carlo Zancanaro proposed returning code that was mistakenly
removed as part of core-updates.

The other part are the tests, where I think we should look into why they
are failing, and figure out if there is any issue in Guix or not
rather than removing them without investigating the cause.

Regards,
Ruther